DanRabbit has released Elementary Gtk Theme 2.1 version on 3/5/11 with following new features. Here is how to install Elementary gtk 2.1 in Ubuntu include required Murrine Engine and highly recommended Nautilus Elementary.

New Features:

+ dropped Aurora engine
+ new xfwm4 theme
+ works with GTK 3
+ misc bug fixes
+ dark by default

Install Elementary gtk 2.1 from PPA

The latest theme has been added into the PPA, but only for Ubuntu 10.10 Maverick:

sudo add-apt-repository ppa:elementaryart/ppa
sudo apt-get update
sudo apt-get install elementary-theme

Other Ubuntu versions try the deb from this page.

By the way, if you’re the first time installing the Elementary gtk theme you may need install Murrine Engine & Nautilus Elementary for better effect.

Install required Murrine Engine & highly recommended Nautilus Elementary in Ubuntu

To install murrine engine download the source from here, extract the package and go into its directory in a terminal window and run:

./configure --prefix=/usr --enable-animation 
make  
sudo make install

To install Nautilus Elementary, run following:

sudo add-apt-repository ppa:am-monkeyd/nautilus-elementary-ppa
sudo apt-get update
sudo apt-get dist-upgrade

and finally restart nautilus with:

nautilus -q